Subject: Re: bug#15396: permanent-local truncate-lines

From: Stefan Monnier <[email-masked]>
Date: Mon, 16 Sep 2013 21:07:22 -0400

> I wish truncate-lines was permanent local.  Motivation:
> emacs -Q foo.txt
>    where foo.txt has lines longer than the frame width.
> M-x toggle-truncate-lines
>    now lines are truncated
> M-x revert-buffer   ; or even just change mode
>    now lines are untruncated again, grr

I don't mind so much that truncate-lines gets reset when I change major
mode because I very rarely change major-mode, but recently I started
feeling like M-x revert-buffer should usually not change major-mode.
After all, I can call M-x normal-mode if I really need that extra step.

        Stefan